##
##  perl-sys.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_perl                5.22
%define       V_unix_syslog         1.1
%define       V_archive_tar         3.02
%define       V_archive_zip         1.31_04
%define       V_archive_cpio        0.10
%define       V_expect              1.21
%define       V_storable            2.51
%define       V_ipc_sharelite       0.17
%define       V_ipc_shareable       0.60
%define       V_ipc_sharedcache     1.3
%define       V_ipc_run             20231003.0
%define       V_ipc_run3            0.049
%define       V_ipc_signal          1.00
%define       V_ipc_filter          0.005
%define       V_file_tail           1.3
%define       V_file_temp           0.23
%define       V_file_remove         1.52
%define       V_file_rename         2.02
%define       V_file_slurp          9999.19
%define       V_freezethaw          0.5001
%define       V_authen_sasl         2.16
%define       V_authen_pam          0.16
%define       V_weakref             0.01
%define       V_filehandle_deluxe   0.92
%define       V_filehandle_rollback 1.06
%define       V_filehandle_unget    0.1634
%define       V_spiffy              0.46
%define       V_io                  1.55
%define       V_io_all              0.86
%define       V_io_multiplex        1.16
%define       V_io_interface        1.09
%define       V_io_util             1.5
%define       V_io_mux              0.08
%define       V_boulder             1.30
%define       V_error               0.17029
%define       V_file_fnmatch        0.02
%define       V_user                1.9
%define       V_file_rsync          0.49
%define       V_storable_amf        1.23
%define       V_file_next           1.18
%define       V_file_which          1.27

#   package information
Name:         perl-sys
Summary:      Perl Modules for use with the system
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Perl
License:      GPL/Artistic
Version:      %{V_perl}
Release:      20240122

#   package options
%option       with_pam   no

#   list of sources
Source0:      http://www.cpan.org/authors/id/M/MH/MHARNISCH/Unix-Syslog-%{V_unix_syslog}.tar.gz
Source1:      http://www.cpan.org/authors/id/B/BI/BINGOS/Archive-Tar-%{V_archive_tar}.tar.gz
Source2:      http://www.cpan.org/authors/id/A/AD/ADAMK/Archive-Zip-%{V_archive_zip}.tar.gz
Source3:      http://www.cpan.org/authors/id/R/RG/RGIERSIG/Expect-%{V_expect}.tar.gz
Source4:      http://www.cpan.org/authors/id/A/AM/AMS/Storable-%{V_storable}.tar.gz
Source5:      http://www.cpan.org/authors/id/B/BS/BSUGARS/IPC-Shareable-%{V_ipc_shareable}.tar.gz
Source6:      http://www.cpan.org/authors/id/M/MG/MGRABNAR/File-Tail-%{V_file_tail}.tar.gz
Source7:      http://www.cpan.org/modules/by-module/FreezeThaw/FreezeThaw-%{V_freezethaw}.tar.gz
Source8:      http://www.cpan.org/authors/id/G/GB/GBARR/Authen-SASL-%{V_authen_sasl}.tar.gz
Source9:      http://www.cpan.org/authors/id/L/LU/LUKKA/WeakRef-%{V_weakref}.tar.gz
Source10:     http://www.cpan.org/modules/by-module/FileHandle/FileHandle-Deluxe-%{V_filehandle_deluxe}.tar.gz
Source11:     http://www.cpan.org/modules/by-module/FileHandle/FileHandle-Rollback-%{V_filehandle_rollback}.tar.gz
Source12:     http://www.cpan.org/authors/id/D/DC/DCOPPIT/FileHandle-Unget-%{V_filehandle_unget}.tar.gz
Source13:     http://www.cpan.org/authors/id/A/AN/ANDYA/IPC-ShareLite-%{V_ipc_sharelite}.tar.gz
Source14:     http://www.cpan.org/authors/id/S/SA/SAMTREGAR/IPC-SharedCache-%{V_ipc_sharedcache}.tar.gz
Source15:     http://www.cpan.org/authors/id/T/TO/TODDR/IPC-Run-%{V_ipc_run}.tar.gz
Source16:     http://www.cpan.org/authors/id/R/RO/ROSCH/IPC-Signal-%{V_ipc_signal}.tar.gz
Source17:     http://www.cpan.org/authors/id/Z/ZE/ZEFRAM/IPC-Filter-%{V_ipc_filter}.tar.gz
Source18:     http://www.cpan.org/authors/id/I/IN/INGY/Spiffy-%{V_spiffy}.tar.gz
Source19:     http://www.cpan.org/modules/by-module/IO/IO-%{V_io}.tar.gz
Source20:     http://www.cpan.org/authors/id/I/IN/INGY/IO-All-%{V_io_all}.tar.gz
Source21:     http://www.cpan.org/authors/id/B/BB/BBB/IO-Multiplex-%{V_io_multiplex}.tar.gz
Source22:     http://www.cpan.org/authors/id/L/LD/LDS/IO-Interface-%{V_io_interface}.tar.gz
Source23:     http://www.cpan.org/authors/id/D/DO/DOMIZIO/IO-Util-%{V_io_util}.tar.gz
Source24:     http://www.cpan.org/authors/id/L/LD/LDS/Boulder-%{V_boulder}.tar.gz
Source25:     http://www.cpan.org/authors/id/S/SH/SHLOMIF/Error-%{V_error}.tar.gz
Source26:     http://www.cpan.org/authors/id/R/RJ/RJBS/IPC-Run3-%{V_ipc_run3}.tar.gz
Source27:     http://www.cpan.org/authors/id/P/PA/PATL/IO-Mux-%{V_io_mux}.tar.gz
Source28:     http://www.cpan.org/authors/id/M/MJ/MJP/File-FnMatch-%{V_file_fnmatch}.tar.gz
Source29:     http://www.cpan.org/authors/id/N/NI/NIKIP/Authen-PAM-%{V_authen_pam}.tar.gz
Source30:     http://www.cpan.org/authors/id/P/PI/PIXEL/Archive-Cpio-%{V_archive_cpio}.tar.gz
Source31:     http://www.cpan.org/authors/id/T/TB/TBONE/User-%{V_user}.tar.gz
Source32:     http://www.cpan.org/authors/id/T/TJ/TJENNESS/File-Temp-%{V_file_temp}.tar.gz
Source33:     http://www.cpan.org/authors/id/A/AD/ADAMK/File-Remove-%{V_file_remove}.tar.gz
Source34:     http://www.cpan.org/authors/id/R/RM/RMBARKER/File-Rename-%{V_file_rename}.tar.gz
Source35:     http://www.cpan.org/authors/id/L/LE/LEAKIN/File-Rsync-%{V_file_rsync}.tar.gz
Source36:     http://www.cpan.org/authors/id/G/GR/GRIAN/Storable-AMF-%{V_storable_amf}.tar.gz
Source37:     http://www.cpan.org/authors/id/P/PE/PETDANCE/File-Next-%{V_file_next}.tar.gz
Source38:     http://www.cpan.org/authors/id/U/UR/URI/File-Slurp-%{V_file_slurp}.tar.gz
Source39:     http://www.cpan.org/authors/id/P/PL/PLICEASE/File-Which-%{V_file_which}.tar.gz
Patch0:       perl-sys.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, perl >= %{V_perl}, perl-openpkg >= %{V_perl}-20040126
PreReq:       OpenPKG, openpkg >= 20160101, perl >= %{V_perl}
BuildPreReq:  perl-util, perl-time, perl-term
PreReq:       perl-util, perl-time, perl-term
%if "%{with_pam}" == "yes"
BuildPreReq:  PAM
PreReq:       PAM
%endif

%description
    Perl modules for use with the system:
    - Unix::Syslog (%{V_unix_syslog})
    - Archive::Tar (%{V_archive_tar})
    - Expect (%{V_expect})
    - Storable (%{V_storable})
    - IPC::ShareLite (%{V_ipc_sharelite})
    - IPC::Shareable (%{V_ipc_shareable})
    - IPC::SharedCache (%{V_ipc_sharedcache})
    - IPC::Run (%{V_ipc_run})
    - IPC::Run3 (%{V_ipc_run3})
    - IPC::Signal (%{V_ipc_signal})
    - IPC::Filter (%{V_ipc_filter})
    - File::Tail (%{V_file_tail})
    - FreezeThaw (%{V_freezethaw})
    - Authen::SASL (%{V_authen_sasl})
    - Authen::PAM (%{V_authen_pam}) [with_pam=yes]
    - Archive::Zip (%{V_archive_zip})
    - WeakRef (%{V_weakref})
    - FileHandle::Deluxe (%{V_filehandle_deluxe})
    - FileHandle::Rollback (%{V_filehandle_rollback})
    - FileHandle::Unget (%{V_filehandle_unget})
    - Spiffy (%{V_spiffy})
    - IO (%{V_io})
    - IO::All (%{V_io_all})
    - IO::Multiplex (%{V_io_multiplex})
    - IO::Interface (%{V_io_interface})
    - IO::Util (%{V_io_util})
    - IO::Mux (%{V_io_mux})
    - Boulder (%{V_boulder})
    - Error (%{V_error})
    - File::FnMatch (%{V_file_fnmatch})
    - Archive::Cpio (%{V_archive_cpio})
    - User (%{V_user})
    - File::Temp (%{V_file_temp})
    - File::Remove (%{V_file_remove})
    - File::Rename (%{V_file_rename})
    - File::Rsync (%{V_file_rsync})
    - Storable::AMF (%{V_storable_amf})
    - File::Next (%{V_file_next})
    - File::Slurp (%{V_file_slurp})
    - File::Which (%{V_file_which})

%track
    prog perl-sys:Archive-Tar = {
        version   = %{V_archive_tar}
        url       = http://www.cpan.org/authors/id/B/BI/BINGOS/
        regex     = Archive-Tar-(__VER__)\.tar\.gz
    }
    prog perl-sys:Archive-Zip = {
        version   = %{V_archive_zip}
        url       = http://www.cpan.org/authors/id/A/AD/ADAMK/
        regex     = Archive-Zip-(__VER__)\.tar\.gz
    }
    prog perl-sys:Authen-SASL = {
        version   = %{V_authen_sasl}
        url       = http://www.cpan.org/authors/id/G/GB/GBARR/
        regex     = Authen-SASL-(__VER__)\.tar\.gz
    }
    prog perl-sys:Expect = {
        version   = %{V_expect}
        url       = http://www.cpan.org/authors/id/R/RG/RGIERSIG/
        regex     = Expect-(__VER__)\.tar\.gz
    }
    prog perl-sys:File-Tail = {
        version   = %{V_file_tail}
        url       = http://www.cpan.org/authors/id/M/MG/MGRABNAR/
        regex     = File-Tail-(__VER__)\.tar\.gz
    }
    prog perl-sys:FileHandle-Deluxe = {
        version   = %{V_filehandle_deluxe}
        url       = http://www.cpan.org/modules/by-module/FileHandle/
        regex     = FileHandle-Deluxe-(__VER__)\.tar\.gz
    }
    prog perl-sys:FileHandle-Rollback = {
        version   = %{V_filehandle_rollback}
        url       = http://www.cpan.org/modules/by-module/FileHandle/
        regex     = FileHandle-Rollback-(__VER__)\.tar\.gz
    }
    prog perl-sys:FileHandle-Unget = {
        version   = %{V_filehandle_unget}
        url       = http://www.cpan.org/authors/id/D/DC/DCOPPIT/
        regex     = FileHandle-Unget-(__VER__)\.tar\.gz
    }
    prog perl-sys:FreezeThaw = {
        version   = %{V_freezethaw}
        url       = http://www.cpan.org/modules/by-module/FreezeThaw/
        regex     = FreezeThaw-(__VER__)\.tar\.gz
    }
    prog perl-sys:IPC-Shareable = {
        version   = %{V_ipc_shareable}
        url       = http://www.cpan.org/authors/id/B/BS/BSUGARS/
        regex     = IPC-Shareable-(__VER__)\.tar\.gz
    }
    prog perl-sys:IPC-ShareLite = {
        version   = %{V_ipc_sharelite}
        url       = http://www.cpan.org/authors/id/A/AN/ANDYA/
        regex     = IPC-ShareLite-(__VER__)\.tar\.gz
    }
    prog perl-sys:IPC-SharedCache = {
        version   = %{V_ipc_sharedcache}
        url       = http://www.cpan.org/authors/id/S/SA/SAMTREGAR/
        regex     = IPC-SharedCache-(__VER__)\.tar\.gz
    }
    prog perl-sys:IPC-Run = {
        version   = %{V_ipc_run}
        url       = http://www.cpan.org/authors/id/T/TO/TODDR/
        regex     = IPC-Run-(__VER__)\.tar\.gz
    }
    prog perl-sys:IPC-Run3 = {
        version   = %{V_ipc_run3}
        url       = http://www.cpan.org/authors/id/R/RJ/RJBS/
        regex     = IPC-Run3-(__VER__)\.tar\.gz
    }
    prog perl-sys:IPC-Signal = {
        version   = %{V_ipc_signal}
        url       = http://www.cpan.org/authors/id/R/RO/ROSCH/
        regex     = IPC-Signal-(__VER__)\.tar\.gz
    }
    prog perl-sys:IPC-Filter = {
        version   = %{V_ipc_filter}
        url       = http://www.cpan.org/authors/id/Z/ZE/ZEFRAM/
        regex     = IPC-Filter-(__VER__)\.tar\.gz
    }
    prog perl-sys:Storable = {
        version   = %{V_storable}
        url       = http://www.cpan.org/authors/id/A/AM/AMS/
        regex     = Storable-(__VER__)\.tar\.gz
    }
    prog perl-sys:Unix-Syslog = {
        version   = %{V_unix_syslog}
        url       = http://www.cpan.org/authors/id/M/MH/MHARNISCH/
        regex     = Unix-Syslog-(__VER__)\.tar\.gz
    }
    prog perl-sys:WeakRef = {
        version   = %{V_weakref}
        url       = http://www.cpan.org/authors/id/L/LU/LUKKA/
        regex     = WeakRef-(__VER__)\.tar\.gz
    }
    prog perl-sys:Spiffy = {
        version   = %{V_spiffy}
        url       = http://www.cpan.org/authors/id/I/IN/INGY/
        regex     = Spiffy-(__VER__)\.tar\.gz
    }
    prog perl-sys:IO = {
        version   = %{V_io}
        url       = http://www.cpan.org/modules/by-module/IO/
        regex     = \bIO-(__VER__)\.tar\.gz
    }
    prog perl-sys:IO-All = {
        version   = %{V_io_all}
        url       = http://www.cpan.org/authors/id/I/IN/INGY/
        regex     = IO-All-(__VER__)\.tar\.gz
    }
    prog perl-sys:IO-Multiplex = {
        version   = %{V_io_multiplex}
        url       = http://www.cpan.org/authors/id/B/BB/BBB/
        regex     = IO-Multiplex-(__VER__)\.tar\.gz
    }
    prog perl-sys:IO-Interface = {
        version   = %{V_io_interface}
        url       = http://www.cpan.org/authors/id/L/LD/LDS/
        regex     = IO-Interface-(__VER__)\.tar\.gz
    }
    prog perl-sys:IO-Util = {
        version   = %{V_io_util}
        url       = http://www.cpan.org/authors/id/D/DO/DOMIZIO/
        regex     = IO-Util-(__VER__)\.tar\.gz
    }
    prog perl-sys:IO-Mux = {
        version   = %{V_io_mux}
        url       = http://www.cpan.org/authors/id/P/PA/PATL/
        regex     = IO-Mux-(__VER__)\.tar\.gz
    }
    prog perl-sys:Boulder = {
        version   = %{V_boulder}
        url       = http://www.cpan.org/authors/id/L/LD/LDS/
        regex     = Boulder-(__VER__)\.tar\.gz
    }
    prog perl-sys:Error = {
        version   = %{V_error}
        url       = http://www.cpan.org/authors/id/S/SH/SHLOMIF/
        regex     = Error-(__VER__)\.tar\.gz
    }
    prog perl-sys:File-FnMatch = {
        version   = %{V_file_fnmatch}
        url       = http://www.cpan.org/authors/id/M/MJ/MJP/
        regex     = File-FnMatch-(__VER__)\.tar\.gz
    }
    prog perl-sys:Authen-PAM = {
        version   = %{V_authen_pam}
        url       = http://www.cpan.org/authors/id/N/NI/NIKIP/
        regex     = Authen-PAM-(__VER__)\.tar\.gz
    }
    prog perl-sys:Archive-Cpio = {
        version   = %{V_archive_cpio}
        url       = http://www.cpan.org/authors/id/P/PI/PIXEL/
        regex     = Archive-Cpio-(__VER__)\.tar\.gz
    }
    prog perl-sys:User = {
        version   = %{V_user}
        url       = http://www.cpan.org/authors/id/T/TB/TBONE/
        regex     = User-(__VER__)\.tar\.gz
    }
    prog perl-sys:File-Temp = {
        version   = %{V_file_temp}
        url       = http://www.cpan.org/authors/id/T/TJ/TJENNESS/
        regex     = File-Temp-(__VER__)\.tar\.gz
    }
    prog perl-sys:File-Remove = {
        version   = %{V_file_remove}
        url       = http://www.cpan.org/authors/id/A/AD/ADAMK/
        regex     = File-Remove-(__VER__)\.tar\.gz
    }
    prog perl-sys:File-Rename = {
        version   = %{V_file_rename}
        url       = http://www.cpan.org/authors/id/R/RM/RMBARKER/
        regex     = File-Rename-(__VER__)\.tar\.gz
    }
    prog perl-sys:File-Rsync = {
        version   = %{V_file_rsync}
        url       = http://www.cpan.org/authors/id/L/LE/LEAKIN/
        regex     = File-Rsync-(__VER__)\.tar\.gz
    }
    prog perl-sys:Storable-AMF = {
        version   = %{V_storable_amf}
        url       = http://www.cpan.org/authors/id/G/GR/GRIAN/
        regex     = Storable-AMF-(__VER__)\.tar\.gz
    }
    prog perl-sys:File-Next = {
        version   = %{V_file_next}
        url       = http://www.cpan.org/authors/id/P/PE/PETDANCE/
        regex     = File-Next-(__VER__)\.tar\.gz
    }
    prog perl-sys:File-Slurp = {
        version   = %{V_file_slurp}
        url       = http://www.cpan.org/authors/id/U/UR/URI/
        regex     = File-Slurp-(__VER__)\.tar\.gz
    }
    prog perl-sys:File-Which = {
        version   = %{V_file_which}
        url       = http://www.cpan.org/authors/id/P/PL/PLICEASE/
        regex     = File-Which-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c
    %setup -q -T -D -a 1
    %setup -q -T -D -a 2
    %setup -q -T -D -a 3
    %setup -q -T -D -a 4
    %setup -q -T -D -a 5
    %setup -q -T -D -a 6
    %setup -q -T -D -a 7
    %setup -q -T -D -a 8
    %setup -q -T -D -a 9
    %setup -q -T -D -a 10
    %setup -q -T -D -a 11
    %setup -q -T -D -a 12
    %setup -q -T -D -a 13
    %setup -q -T -D -a 14
    %setup -q -T -D -a 15
    %setup -q -T -D -a 16
    %setup -q -T -D -a 17
    %setup -q -T -D -a 18
    %setup -q -T -D -a 19
    %setup -q -T -D -a 20
    %setup -q -T -D -a 21
    %setup -q -T -D -a 22
    %setup -q -T -D -a 23
    %setup -q -T -D -a 24
    %setup -q -T -D -a 25
    %setup -q -T -D -a 26
    %setup -q -T -D -a 27
    %setup -q -T -D -a 28
    %setup -q -T -D -a 29
    %setup -q -T -D -a 30
    %setup -q -T -D -a 31
    %setup -q -T -D -a 32
    %setup -q -T -D -a 33
    %setup -q -T -D -a 34
    %setup -q -T -D -a 35
    %setup -q -T -D -a 36
    %setup -q -T -D -a 37
    %setup -q -T -D -a 38
    %setup -q -T -D -a 39
    %patch -p0

%build
    %{l_shtool} subst \
        -e 's;/usr/local/bin/ssh;%{l_prefix}/bin/ssh;' \
        -e 's;/usr/local/bin/rsync;%{l_prefix}/bin/rsync;' \
        File-Rsync-*/Rsync.pm

%install
    %{l_prefix}/bin/perl-openpkg prepare
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE0}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE1}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE2}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE3}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE4}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE5}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE6}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE7}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE8}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE9}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE10} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE11} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE12} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE13} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE14} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE15} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE16} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE17} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE18} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE19} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE20} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE21} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE22} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE23} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE24} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE25} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE26} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE27} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE28} configure build install
%if "%{with_pam}" == "yes"
    export CC="%{l_cc}"
    export CFLAGS="%{l_cflags} -I`%{l_rc} --query pam_incdir`"
    export CPPFLAGS="%{l_cppflags} -I`%{l_rc} --query pam_incdir`"
    export LDFLAGS="%{l_ldflags} -L`%{l_rc} --query pam_libdir`"
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE29} configure build install
%endif
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE30} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE31} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE32} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE33} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE34} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE35} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE36} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE37} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE38} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE39} configure build install
    %{l_prefix}/bin/perl-openpkg -F perl-openpkg-files fixate cleanup
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std} `cat perl-openpkg-files`

%files -f files

%clean

